Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.impl
Class SimpleIndexingProgressMonitor

    java.lang.Object
      org.hibernate.search.impl.SimpleIndexingProgressMonitor

All Implemented Interfaces:
  MassIndexerProgressMonitor

    public class SimpleIndexingProgressMonitor

extends java.lang.Object
implements MassIndexerProgressMonitor

A very simple implementation of MassIndexerProgressMonitor

Author:
  Sanne Grinovero

Constructor Summary
`SimpleIndexingProgressMonitor()`

Method Summary
`void` | `addToTotalCount(long count)` The total count of entities to be indexed is added here; It could be called more than once, the implementation should add them up.
`void` | `documentsAdded(long increment)` The number of documents sent to the backend; This is called several times during the indexing process.
`void` | `documentsBuilt(int number)` The number of Documents built; This is called several times and concurrently during the indexing process.
`void` | `entitiesLoaded(int size)` The number of entities loaded from database; This is called several times and concurrently during the indexing process.
`protected int` | `getStatusMessagePeriod()`
`protected void` | `printStatusMessage(long starttimems, long totalTodoCount, long doneCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleIndexingProgressMonitor

    public SimpleIndexingProgressMonitor()

Method Detail

### entitiesLoaded

    public void entitiesLoaded(int size)

  Description copied from interface: `MassIndexerProgressMonitor`
  The number of entities loaded from database; This is called several times and concurrently during the indexing process.

  Specified by:
    `entitiesLoaded` in interface `MassIndexerProgressMonitor`

### documentsAdded

    public void documentsAdded(long increment)

  Description copied from interface: `MassIndexerProgressMonitor`
  The number of documents sent to the backend; This is called several times during the indexing process.

  Specified by:
    `documentsAdded` in interface `MassIndexerProgressMonitor`

### documentsBuilt

    public void documentsBuilt(int number)

  Description copied from interface: `MassIndexerProgressMonitor`
  The number of Documents built; This is called several times and concurrently during the indexing process.

  Specified by:
    `documentsBuilt` in interface `MassIndexerProgressMonitor`

### addToTotalCount

    public void addToTotalCount(long count)

  Description copied from interface: `MassIndexerProgressMonitor`
  The total count of entities to be indexed is added here; It could be called more than once, the implementation should add them up. This is called several times and concurrently during the indexing process.

  Specified by:
    `addToTotalCount` in interface `MassIndexerProgressMonitor`

### getStatusMessagePeriod

    protected int getStatusMessagePeriod()

### printStatusMessage

    protected void printStatusMessage(long starttimems,
                                      long totalTodoCount,
                                      long doneCount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.